Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class Server

    java.lang.Object
      org.deegree.portal.context.Server

    public class Server

extends Object

encapsulates the server description as defined in the OGC Web Map Context specification 1.0.0

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Server(String title, String version, String service, URL onlineResource, OGCCapabilities capabilities)` Creates a new Server object.

Method Summary
`boolean` | `equals(Object other)`
`OGCCapabilities` | `getCapabilities()` returns the capabilities of the encapsulated server
`URL` | `getOnlineResource()` link to the online resource
`String` | `getService()` the type of the service according to OGC interfaces, such as WMS, WFS.
`String` | `getTitle()` the title of the service (extracted from the Capabilities by the Context document creator)
`String` | `getVersion()` Version number of the OGC interface specification which corresponds to the service
`void` | `setCapabilities(OGCCapabilities capabilities)`
`void` | `setOnlineResource(URL onlineResource)` see also org.deegree.clients.context.Server#getOnlineResource()
`void` | `setService(String service)` see also org.deegree.clients.context.Server#getService()
`void` | `setTitle(String title)` see also org.deegree.clients.context.Server#getTitle()
`void` | `setVersion(String version)` see also org.deegree.clients.context.Server#getFeatureVersion()

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Server

    public Server(String title,
                  String version,
                  String service,
                  URL onlineResource,
                  OGCCapabilities capabilities)
           throws ContextException

  Creates a new Server object.

  Parameters:
    `title` - the title of the service
    `version` - Version number of the OGC interface specification which corresponds to the service
    `service` - the type of the service according to OGC interfaces, such as WMS, WFS.
    `onlineResource` - the link to the online resource
    `capabilities` -
  Throws:
    `ContextException`

Method Detail

### getTitle

    public String getTitle()

  the title of the service (extracted from the Capabilities by the Context document creator)

  Returns:
    the title of the service (extracted from the Capabilities by the Context document creator)

### getVersion

    public String getVersion()

  Version number of the OGC interface specification which corresponds to the service

  Returns:
    Version number of the OGC interface specification which corresponds to the service

### getService

    public String getService()

  the type of the service according to OGC interfaces, such as WMS, WFS.

  Returns:
    the type of the service according to OGC interfaces, such as WMS, WFS.

### getOnlineResource

    public URL getOnlineResource()

  link to the online resource

  Returns:
    link to the online resource

### setTitle

    public void setTitle(String title)

  see also org.deegree.clients.context.Server#getTitle()

  Parameters:
    `title` -

### setVersion

    public void setVersion(String version)
                    throws ContextException

  see also org.deegree.clients.context.Server#getFeatureVersion()

  Parameters:
    `version` -
  Throws:
    `ContextException`

### setService

    public void setService(String service)
                    throws ContextException

  see also org.deegree.clients.context.Server#getService()

  Parameters:
    `service` -
  Throws:
    `ContextException`

### setOnlineResource

    public void setOnlineResource(URL onlineResource)
                           throws ContextException

  see also org.deegree.clients.context.Server#getOnlineResource()

  Parameters:
    `onlineResource` -
  Throws:
    `ContextException`

### getCapabilities

    public OGCCapabilities getCapabilities()

  returns the capabilities of the encapsulated server

  Returns:
    the capabilities of the encapsulated server

### setCapabilities

    public void setCapabilities(OGCCapabilities capabilities)

  Parameters:
    `capabilities` -
  See Also:
    `getCapabilities()`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org